std::_Weak_result_type_impl< _Functor >(3)

NAME
std::_Weak_result_type_impl< _Functor > -

SYNOPSIS

Inherits std::_Maybe_get_result_type< __has_result_type< _Functor >::value, _Functor >.

Detailed Description

  template<typename _Functor>struct std::_Weak_result_type_impl< _Functor >
Base class for any function object that has a weak result type, as defined in 3.3/3 of TR1.

Definition at line 86 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.